JUCE: AudioPluginFormatManager Class Reference

JUCE

Public Member Functions | List of all members
AudioPluginFormatManager Class Reference
juce_audio_processors » format

This maintains a list of known AudioPluginFormats. More...

`#include <juce_AudioPluginFormatManager.h>`

## Public Member Functions
| AudioPluginFormatManager ()
| ~AudioPluginFormatManager ()
| Destructor. More...
void | addDefaultFormats ()
| Adds the set of available standard formats, e.g. More...
int | getNumFormats () const
| Returns the number of types of format that are available. More...
AudioPluginFormat * | getFormat (int index) const
| Returns one of the available formats. More...
Array< AudioPluginFormat * > | getFormats () const
| Returns a list of all the registered formats. More...
void | addFormat (AudioPluginFormat *)
| Adds a format to the list. More...
std::unique_ptr< AudioPluginInstance > | createPluginInstance (const PluginDescription &description, double initialSampleRate, int initialBufferSize, String &errorMessage) const
| Tries to load the type for this description, by trying all the formats that this manager knows about. More...
void | createPluginInstanceAsync (const PluginDescription &description, double initialSampleRate, int initialBufferSize, AudioPluginFormat::PluginCreationCallback callback)
| Tries to asynchronously load the type for this description, by trying all the formats that this manager knows about. More...
bool | doesPluginStillExist (const PluginDescription &) const
| Checks that the file or component for this plugin actually still exists. More...

## Detailed Description

This maintains a list of known AudioPluginFormats.

See also
  AudioPluginFormat

## Constructor & Destructor Documentation

## ◆ AudioPluginFormatManager()

AudioPluginFormatManager::AudioPluginFormatManager | ( |  | ) |

## ◆ ~AudioPluginFormatManager()

AudioPluginFormatManager::~AudioPluginFormatManager | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ addDefaultFormats()

void AudioPluginFormatManager::addDefaultFormats | ( |  | ) |

Adds the set of available standard formats, e.g.

VST.

## ◆ getNumFormats()

int AudioPluginFormatManager::getNumFormats | ( |  | ) | const

Returns the number of types of format that are available.

Use getFormat() to get one of them.

## ◆ getFormat()

AudioPluginFormat * AudioPluginFormatManager::getFormat | ( | int | index | ) | const

Returns one of the available formats.

See also
  getNumFormats

## ◆ getFormats()

Array< AudioPluginFormat * > AudioPluginFormatManager::getFormats | ( |  | ) | const

Returns a list of all the registered formats.

## ◆ addFormat()

void AudioPluginFormatManager::addFormat | ( | AudioPluginFormat * |  | ) |

Adds a format to the list.

The object passed in will be owned and deleted by the manager.

## ◆ createPluginInstance()

std::unique_ptr< AudioPluginInstance > AudioPluginFormatManager::createPluginInstance | ( | const PluginDescription & | description,
|  | double | initialSampleRate,
|  | int | initialBufferSize,
|  | String & | errorMessage
| ) |  | const

Tries to load the type for this description, by trying all the formats that this manager knows about.

If it can't load the plugin, it returns nullptr and leaves a message in the errorMessage string.

If you intend to instantiate a AudioUnit v3 plug-in then you must either use the non-blocking asynchronous version below - or call this method from a thread other than the message thread and without blocking the message thread.

## ◆ createPluginInstanceAsync()

void AudioPluginFormatManager::createPluginInstanceAsync | ( | const PluginDescription & | description,
|  | double | initialSampleRate,
|  | int | initialBufferSize,
|  | AudioPluginFormat::PluginCreationCallback | callback
| ) |  |

Tries to asynchronously load the type for this description, by trying all the formats that this manager knows about.

The caller must supply a callback object which will be called when the instantiation has completed.

If it can't load the plugin then the callback function will be called passing a nullptr as the instance argument along with an error message.

The callback function will be called on the message thread so the caller must not block the message thread.

The callback object will be deleted automatically after it has been invoked.

The caller is responsible for deleting the instance that is passed to the callback function.

If you intend to instantiate a AudioUnit v3 plug-in then you must use this non-blocking asynchronous version - or call the synchronous method from an auxiliary thread.

## ◆ doesPluginStillExist()

bool AudioPluginFormatManager::doesPluginStillExist | ( | const PluginDescription & |  | ) | const

Checks that the file or component for this plugin actually still exists.

(This won't try to load the plugin)

The documentation for this class was generated from the following file:

- juce_AudioPluginFormatManager.h